%global momorel 12

Summary: UPnP Daemon
Name: linux-igd
Version: 1.0
Release: %{momorel}m%{?dist}
License: GPL
Group: System Environment/Daemons
Source0: http://dl.sourceforge.net/sourceforge/linux-igd/linuxigd-%{version}.tar.gz
NoSource: 0
Source1: upnpd.service
Patch1: linuxigd-%{version}.patch
Patch0: %{name}-%{version}-to-cvs20070630.patch
Patch2: linuxigd-%{version}-restrict-internal-interface.patch
Patch3: linux-igd-includes.patch
BuildRoot: %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)
URL: http://linux-igd.sourceforge.net/
Requires(post): systemd-units
Requires(preun): systemd-units
Requires(postun): systemd-units 
# For triggerun
Requires(post): systemd-sysv
BuildRequires: libupnp-devel

%description
linux-igd is a deamon that emulates Microsoft's Internet Connection Service
 (ICS). It implements the UPnP Internet Gateway Device specification (IGD)
and allows UPnP aware clients, such as MSN Messenger to work properly from
behind a NAT firewall.

%prep
%setup -q -n linuxigd-%{version}
%patch0 -p1
%patch1 -p1 
%patch2 -p1
%patch3 -p2

%build
%make CFLAGS="$RPM_OPT_FLAGS"

%install
rm -rf %{buildroot}
make install DESTDIR=%{buildroot}

rm -rf %{buildroot}/etc/rc.d
install -D -m 644 %{SOURCE1} %{buildroot}%{_unitdir}/upnpd.service

%clean
rm -rf %{buildroot}

%post
if [ $1 -eq 1 ] ; then
    # Initial installation
    /bin/systemctl daemon-reload >/dev/null 2>&1 || :
fi

%preun
if [ $1 -eq 0 ] ; then
    # Package removal, not upgrade
    /bin/systemctl --no-reload disable upnpd.service > /dev/null 2>&1 || :
    /bin/systemctl stop upnpd.service > /dev/null 2>&1 || :
fi
    
%postun
/bin/systemctl daemon-reload >/dev/null 2>&1 || :
if [ $1 -ge 1 ] ; then
    # Package upgrade, not uninstall
    /bin/systemctl try-restart upnpd.service >/dev/null 2>&1 || :
fi

%triggerun -- linux-igd < 1.0-12
# Save the current service runlevel info
# User must manually run systemd-sysv-convert --apply upnpd
# to migrate them to systemd targets
/usr/bin/systemd-sysv-convert --save upnpd >/dev/null 2>&1 ||:

# Run these because the SysV package being removed won't do them
/sbin/chkconfig --del upnpd >/dev/null 2>&1 || :
/bin/systemctl try-restart upnpd.service >/dev/null 2>&1 || :


%files
%defattr(-,root,root)
%doc LICENSE TODO
%dir %{_sysconfdir}/linuxigd/
%attr(0644,root,root) %config(noreplace) %{_sysconfdir}/linuxigd/*.xml
%attr(0644,root,root) %config(noreplace) %{_sysconfdir}/upnpd.conf
%attr(0644,root,root) %config(noreplace) %{_sysconfdir}/sysconfig/upnpd
%attr(0644,root,root) %{_mandir}/man8/upnpd.8.*
%{_sbindir}/upnpd
%{_unitdir}/upnpd.service

%changelog
* Sun Oct 06 2013 Yohsuke Ooi <meke@momonga-linux.org>
- (1.0-12m)
- support systemd

* Mon Aug  1 2011 Yohsuke Ooi <meke@momonga-linux.org> 
- (1.0-11m)
- rebuild against libupnp-1.6.13

* Mon Apr 11 2011 Hiromasa YOSHIMOTO <y@momonga-linux.org>
- (1.0-10m)
- rebuild for new GCC 4.6

* Sun Nov 28 2010 Hiromasa YOSHIMOTO <y@momonga-linux.org>
- (1.0-9m)
- rebuild for new GCC 4.5

* Tue Aug 31 2010 Yohsuke Ooi <meke@momonga-linux.org>
- (1.0-8m)
- full rebuild for mo7 release

* Sat Apr 24 2010 TABUCHI Takaaki <tab@momonga-linux.org>
- (1.0-7m)
- use BuildRequires and Requires

* Sat Nov 14 2009 NAKAYA Toshiharu <nakaya@momonga-linux.org>
- (1.0-6m)
- rebuild against gcc-4.4 and glibc-2.11

* Wed Jan 21 2009 NAKAYA Toshiharu <nakaya@momonga-linux.org>
- (1.0-5m)
- rebuild against rpm-4.6

* Tue Oct 21 2008 TABUCHI Takaaki <tab@momonga-linux.org>
- (1.0-3m)
- do not use force bz2 man

* Mon Oct  6 2008 Yohsuke Ooi <meke@momonga-linux.org> 
- (1.0-3m)
- stop auto-start

* Thu Apr 03 2008 TABUCHI Takaaki <tab@momonga-linux.org>
- (1.0-2m)
- rebuild against gcc43

* Sat Feb 16 2008 Yohsuke Ooi <meke@momonga-linux.org>
- (1.0-1m)
- update 1.0

* Sun Jan 13 2008 Hiromasa YOSHIMOTO <y@momonga-linux.org>
- (0.92-7m)
- add patch for gcc43, generated by gen43patch(v1)

* Sun Aug 15 2004 Hiroyuki Koga <kuma@momonga-linux.org>
- (0.92-6m)
- rebuild against gcc-c++-3.4.1
- add BuildPrereq: gcc-c++

* Sun Jul  4 2004 Masahiro Takahata <takahata@momonga-linux.org>
- (0.92-5m)
- stop daemon

* Tue May  4 2004 Toru Hoshina <t@momonga-linux.org>
- (0.92-4m)
- %%{_initscriptdir}

* Sat Mar 20 2004 Ryu SASAOKA <ryu@momonga-linux.org>
- (0.92-3m)
- change docdir %%defattr

* Sat Oct  4 2003 Ryu SASAOKA <ryu@momonga-linux.org>
- (0.92-2m)
- adapt the License: preamble for the Momonga Linux license
  expression unification policy (draft)

* Sun Jan 26 2003 Shingo Akagaki <dora@kitty.dnsalias.org>
- (0.92-1m)
- version 0.92
